<?php
$count = count($channels);
for ($i = 0; $i < $count; $i++) {
    $channel_url = Util::addParameter(Horde::applicationUrl('subscribe.php'), 'channel_id', $channels[$i]['channel_id']);
    $class = isset($subscribed_channels[$channels[$i]['channel_id']]) ? 'selected' : 'text';
?>
<tr>
 <td>
  <?php
   if ($channels[$i]['channel_updated']) {
       /* This channel has been downloaded before */
       $url = Util::addParameter(Horde::applicationUrl('delivery/html.php', true, -1), 'channel_id', $channels[$i]['channel_id']);
       echo Horde::link($url, $channels[$i]['channel_name']);
       echo '&nbsp;' . htmlspecialchars($channels[$i]['channel_name']) . '</a>';
   } else {
       /* This channel has not yet been downloaded */
       echo '&nbsp;' . $channels[$i]['channel_name'];
   }
  ?>
 </td>
 <td nowrap="nowrap">
  <?php
   if ($channels[$i]['channel_updated']) {
       /* This channel has been downloaded before */
       echo strftime('%x %X', $channels[$i]['channel_updated']);
   }
  ?>
 </td>
 <td>
  <?php
   if (isset($subscribed_channels[$channels[$i]['channel_id']])) {
       /* This channel is subscribed to */
       $url = Util::addParameter($channel_url, 'actionID', JONAH_UNSUBSCRIBE);
       echo Horde::link($url, _("Unsubscribe")) . _("Unsubscribe") . '</a>';
   } else {
       /* This channel is not subscribed to */
       $url = Util::addParameter($channel_url, 'actionID', JONAH_SUBSCRIBE);
       echo Horde::link($url, _("Subscribe")) . _("Subscribe") . '</a>';
   }
  ?>
 </td>
 <td>
  <?php
   if (isset($subscribed_channels[$channels[$i]['channel_id']])) {
       /* This channel is subscribed to */
       $url = Util::addParameter($channel_url, 'actionID', JONAH_EDIT_SUBSCRIPTION);
       echo Horde::link($url, _("Edit Subscription Details")) . _("Edit") . '</a>';
   } else {
       /* This channel is not subscribed to */
       echo '&nbsp;';
   }
  ?>
 </td>
</tr>
<?php
}
